var gulp = require('gulp');
// gul
var watch = require('gulp-watch');
var batch = require('gulp-batch');
var babel = require('gulp-babel');
var path = require('path');
var paths = {};
paths.src = './src/**/*.js';


// Build Koa

gulp.task('build_spice', () => {
    console.log('Building Spice')
    return gulp.src(paths.src)
        .pipe(babel({
            presets: ['es2015', 'stage-0']
        }))
        .pipe(gulp.dest('build'));
});


// Default task
gulp.task('default', ['build']);
gulp.task('build', ['build_spice']);
gulp.task('watch', function() {
    gulp.run('build');
    gulp.watch(paths.src, ['build_spice']);
});
