/**
 * Created by chadfraser on 04/02/2017.
 */

import path from 'path';

var Boom = require('boom');
import convert from 'koa-convert'


spice.routers = {}

let paths = path.join(spice.root_path, 'routes');
require('fs').readdirSync(paths).forEach(function (file) {
    if(file != 'index.js'){
        let router = require(path.join(paths, file));
        spice.routers[file.split('.')[0]] = router;

        spice.app
            .use(spice.routers[file.split('.')[0]].routes())
            .use(spice.routers[file.split('.')[0]].allowedMethods({
                throw: true,
                notImplemented: () => new Boom.notImplemented(),
                methodNotAllowed: () => new Boom.methodNotAllowed()
            }));
    }
});