var couchbase = require('couchbase');

export default class Couchbase{
    constructor(key, value){
        this.value = value;
        this.key = key;
    }



    connect(){
        //let that = this;
        return new Promise((resolve, reject)=>{
            try {
                let value = this.value;
                //console.log("couchbase connection params", value);
                let cluster = new couchbase.Cluster(value.nodes);
                let that = this;
                cluster.authenticate(value.username, value.password);
                let bucket = cluster.openBucket(value.bucket, function (error) {
                    if (error) {
                        spice.logger.debug("error",error);
                        reject(error);
                    } else {
                        spice.logger.debug('connected');
                        //resolve({connection: that.key, bucket: this});
                    }
                });
                //spice.logger.debug('status', bucket);
                resolve({connection: that.key, bucket: bucket});
            }catch(e){
                spice.logger.debug(e,e.stack);
                reject(e);
            }
        })

    }

}