'use strict';

var _couchbase = require('../connectors/couchbase');

var _couchbase2 = _interopRequireDefault(_couchbase);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

spice.database = {};
spice.database.connections = {};


(function () {
    var _ref = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee() {
        var key, value, connection, result;
        return regeneratorRuntime.wrap(function _callee$(_context) {
            while (1) {
                switch (_context.prev = _context.next) {
                    case 0:
                        _context.prev = 0;
                        _context.t0 = regeneratorRuntime.keys(spice.config.database.connections);

                    case 2:
                        if ((_context.t1 = _context.t0()).done) {
                            _context.next = 16;
                            break;
                        }

                        key = _context.t1.value;
                        value = spice.config.database.connections[key];

                        if (!value.enabled) {
                            _context.next = 14;
                            break;
                        }

                        _context.t2 = value.database_type;
                        _context.next = _context.t2 === 'couchbase' ? 9 : 14;
                        break;

                    case 9:
                        connection = new _couchbase2.default(key, value);
                        _context.next = 12;
                        return connection.connect();

                    case 12:
                        result = _context.sent;

                        spice.database.connections[result.connection] = result.bucket;

                    case 14:
                        _context.next = 2;
                        break;

                    case 16:
                        _context.next = 22;
                        break;

                    case 18:
                        _context.prev = 18;
                        _context.t3 = _context['catch'](0);

                        console.log(_context.t3.stack);
                        throw _context.t3;

                    case 22:
                    case 'end':
                        return _context.stop();
                }
            }
        }, _callee, this, [[0, 18]]);
    }));

    function connect() {
        return _ref.apply(this, arguments);
    }

    return connect;
})()();