'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var couchbase = require('couchbase');

var Couchbase = function () {
    function Couchbase(key, value) {
        _classCallCheck(this, Couchbase);

        this.value = value;
        this.key = key;
    }

    _createClass(Couchbase, [{
        key: 'connect',
        value: function connect() {
            var _this = this;

            //let that = this;
            return new Promise(function (resolve, reject) {
                try {
                    var value = _this.value;
                    //console.log("couchbase connection params", value);
                    var cluster = new couchbase.Cluster(value.nodes);
                    var that = _this;
                    cluster.authenticate(value.username, value.password);
                    var bucket = cluster.openBucket(value.bucket, function (error) {
                        if (error) {
                            spice.logger.debug("error", error);
                            reject(error);
                        } else {
                            spice.logger.debug('connected');
                            //resolve({connection: that.key, bucket: this});
                        }
                    });
                    //spice.logger.debug('status', bucket);
                    resolve({ connection: that.key, bucket: bucket });
                } catch (e) {
                    spice.logger.debug(e, e.stack);
                    reject(e);
                }
            });
        }
    }]);

    return Couchbase;
}();

exports.default = Couchbase;